//
//  Scanbot Barcode Scanner SDK Flutter Plugin
//
//  Copyright (c) 2020 doo GmbH. All rights reserved.
//  https://scanbot.io/sdk
//

import Foundation
import ScanbotBarcodeScannerSDK

extension SBSDKBarcodeScannerResult {
    var encodedString: String? {
        let dictionary = self.encodedDictionary
        return dictionary.encodedString
    }
    
    var encodedDictionary: [String: Any?] {
        let dictionary = ["barcodeFormat" : self.type.stringName,
                          "text" : self.rawTextString]
        return dictionary
    }
}
